# GET /automations/runs/:runId

**Resource:** [Automations](./automations.md)  
**Scopes:** `automations:read`  
**Write operation:** no

Get details of a specific run. Returns normalized shape: run_id, status, actions_total, actions_executed, actions_failed, actions_skipped, action_results[] (per-step outcomes with action_type, status, request, response, error, duration_ms), truncated flag.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `runId` | path | uuid | yes | Run ID |

## Response example

```json
{
  "data": {
    "run_id": "run-uuid-...",
    "automation_id": "auto-uuid-...",
    "status": "completed",
    "trigger_type": "stage_changed",
    "started_at": "2026-04-24T05:00:00Z",
    "completed_at": "2026-04-24T05:00:02Z",
    "duration_ms": 1850,
    "actions_total": 3,
    "actions_executed": 3,
    "actions_failed": 0,
    "actions_skipped": 0,
    "truncated": false,
    "action_results": [
      {
        "action_id": "action-uuid-1",
        "action_type": "send_gmail_email",
        "sequence": 1,
        "status": "success",
        "duration_ms": 900,
        "request": { "subject": "Welcome!", "recipient_target": "contact" },
        "response": { "messageId": "msg-xyz" },
        "error": null
      }
    ],
    "trigger_data": { "deal_id": "deal-uuid", "stage_id": "stage-uuid" }
  }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`